%define name congruity
%define summary A simple GUI to program Logitech(R) Harmony(R) remotes
%define version 20
%define release %mkrel 1

Summary:	%summary
Name: 		%name
Version: 	%version
Release: 	%release
License:	GPLv3+
Group:		Communications
URL:		http://sourceforge.net/projects/congruity/
Source0:	%{name}-%{version}.tar.xz
BuildRoot: 	%_tmppath/%name-%version-buildroot
BuildRequires: desktop-file-utils
BuildRequires: lib64concord-devel
Requires:	wxPythonGTK
Requires:	xdg-utils
Requires:	python-libconcord
Requires:	python
Requires:	python-ctypes
Requires:	python-suds
Requires:	concordance

%description
A simple GUI to program Logitech(R) Harmony(R) remotes.  This software
allows you to program your Logitech Harmony remote using a configuration
object retreived from the harmony website: http://members.harmonyremote.com/.
To run the program navigate to More Applications>Configuration and click on
"Logitech Harmony Configuration".  Please see http://www.phildev.net/concordance/ 
for supported models.
A tool called 'mhgui' is also included for configuring remotes that only
work through the myharmony.com website, which does not work with Linux.
This includes the Harmony 200 and Harmony 300. To use it, simply run
'mhgui' and follow the prompts.


%prep
%setup -q
%apply_patches

%build
%py2_build

%install
rm -rf %buildroot
%py2_install

#
#Create .desktop file for web browser launch to harmony website
cat > $RPM_BUILD_ROOT%{_datadir}/applications/harmony-www.desktop <<EOF
[Desktop Entry]
Type=Application
Version=1.0
Encoding=UTF-8
Name=Logitech Harmony Configuration
GenericName=
Comment=%{summary}
Icon=%{name}
Exec=xdg-open http://members.harmonyremote.com/
Terminal=false
StartupNotify=false
Categories=X-MandrivaLinux-System-Configuration;
EOF

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/mhgui.desktop

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files
%defattr(-,root,root,-)
/usr/bin/congruity
/usr/bin/mhgui
/usr/lib/python2.7/site-packages/congruity-20-py2.7.egg-info/PKG-INFO
/usr/lib/python2.7/site-packages/congruity-20-py2.7.egg-info/SOURCES.txt
/usr/lib/python2.7/site-packages/congruity-20-py2.7.egg-info/dependency_links.txt
/usr/lib/python2.7/site-packages/congruity-20-py2.7.egg-info/entry_points.txt
/usr/lib/python2.7/site-packages/congruity-20-py2.7.egg-info/not-zip-safe
/usr/lib/python2.7/site-packages/congruity-20-py2.7.egg-info/top_level.txt
/usr/lib/python2.7/site-packages/congruity/__init__.py
/usr/lib/python2.7/site-packages/congruity/account.xsd
/usr/lib/python2.7/site-packages/congruity/activity.xsd
/usr/lib/python2.7/site-packages/congruity/am_data.xsd
/usr/lib/python2.7/site-packages/congruity/arrays.xsd
/usr/lib/python2.7/site-packages/congruity/button_mapping.xsd
/usr/lib/python2.7/site-packages/congruity/congruity.py
/usr/lib/python2.7/site-packages/congruity/data.xsd
/usr/lib/python2.7/site-packages/congruity/discovery.xsd
/usr/lib/python2.7/site-packages/congruity/dm_data.xsd
/usr/lib/python2.7/site-packages/congruity/dm_operation.xsd
/usr/lib/python2.7/site-packages/congruity/harmony.wsdl
/usr/lib/python2.7/site-packages/congruity/icon-complete.png
/usr/lib/python2.7/site-packages/congruity/icon-failed.png
/usr/lib/python2.7/site-packages/congruity/icon-in-progress.png
/usr/lib/python2.7/site-packages/congruity/icon-unstarted.png
/usr/lib/python2.7/site-packages/congruity/ir_data.xsd
/usr/lib/python2.7/site-packages/congruity/mhgui.py
/usr/lib/python2.7/site-packages/congruity/mhmanager.py
/usr/lib/python2.7/site-packages/congruity/operation.xsd
/usr/lib/python2.7/site-packages/congruity/product.xsd
/usr/lib/python2.7/site-packages/congruity/remote.png
/usr/lib/python2.7/site-packages/congruity/search_match.xsd
/usr/lib/python2.7/site-packages/congruity/serialization.xsd
/usr/lib/python2.7/site-packages/congruity/throbber.gif
/usr/lib/python2.7/site-packages/congruity/user_button_mapping.xsd
/usr/lib/python2.7/site-packages/congruity/user_feature.xsd
/usr/share/applications/congruity.desktop
/usr/share/applications/harmony-www.desktop
/usr/share/applications/mhgui.desktop
/usr/share/man/man1/congruity.1.bz2
/usr/share/man/man1/mhgui.1.bz2

%changelog

